> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create tax rate

> Create a new tax rate for the organisation.



## OpenAPI

````yaml /api-reference/openapi.json post /tax-rates
openapi: 3.1.1
info:
  title: Dolfin API
  description: >-
    Dolfin API for AR & AP. Authenticate using the `x-dolfin-api-key` header
    with the API key distributed to your organisation.
  version: v1
servers:
  - url: https://api.dolfinai.co
    description: Production
security:
  - {}
tags:
  - name: Webhooks
  - name: Users
  - name: TaxRates
  - name: Suppliers
  - name: Supplier Credit Notes
  - name: Bills
  - name: SpendCategories
  - name: Payables
  - name: RecurringInvoices
  - name: Receivables
  - name: Purchase Orders
  - name: Products
  - name: Payments
  - name: Invoices
  - name: Organisations
  - name: Members
  - name: MCP
  - name: Matching
  - name: Invoice Reminders
  - name: Industries
  - name: Gmail
  - name: Delivery Notes
  - name: Customers
  - name: Currencies
  - name: Credit Notes
  - name: Clients
  - name: ClientInvites
  - name: BankPayments
  - name: Bank details
  - name: Auth
  - name: ApprovalPolicies
  - name: ApiKeys
  - name: Agent
paths:
  /tax-rates:
    post:
      tags:
        - TaxRates
      summary: Create tax rate
      description: Create a new tax rate for the organisation.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTaxRateRequest'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxRateResponse'
        '400':
          description: |-
            TaxRate.MissingCode — tax rate code is required

            TaxRate.MissingName — tax rate name is required

            TaxRate.InvalidRate — rate must be between 0 and 100
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '409':
          description: >-
            TaxRate.DuplicateCode — a tax rate with this code already exists in
            the organisation
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    CreateTaxRateRequest:
      required:
        - code
        - name
      type: object
      properties:
        code:
          type: string
        name:
          type: string
        rate:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - number
            - string
          format: double
    TaxRateResponse:
      required:
        - code
        - name
        - source
      type: object
      properties:
        id:
          type: string
          format: uuid
        organisationId:
          type:
            - 'null'
            - string
          format: uuid
        code:
          type: string
        name:
          type: string
        rate:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - number
            - string
          format: double
        source:
          type: string
        isReadOnly:
          type: boolean
        createdAt:
          type:
            - 'null'
            - string
          format: date-time
        createdBy:
          type:
            - 'null'
            - string
          format: uuid
        updatedAt:
          type:
            - 'null'
            - string
          format: date-time
        updatedBy:
          type:
            - 'null'
            - string
          format: uuid
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string

````